GNU bug report logs - #43050
28.0.50; portable dump file name should respect program-prefix config option

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "T.V Raman" <raman@HIDDEN>; Keywords: confirmed help patch; merged with #35503, #42790; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 42790 <at> debbugs.gnu.org and <lin.sun@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) help. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43050 <at> debbugs.gnu.org:


Received: (at 43050) by debbugs.gnu.org; 13 Nov 2020 08:25:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 03:25:14 2020
Received: from localhost ([127.0.0.1]:46584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdUON-0005i2-9M
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 03:25:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kdUO7-0005hF-TY
 for 43050 <at> debbugs.gnu.org; Fri, 13 Nov 2020 03:25:10 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43245)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kdUNy-00052s-Ku; Fri, 13 Nov 2020 03:24:50 -0500
Received: from [176.228.60.248] (port=1836 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kdUNu-0005OG-01; Fri, 13 Nov 2020 03:24:44 -0500
Date: Fri, 13 Nov 2020 10:24:26 +0200
Message-Id: <837dqpy891.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <2olff53hoc.fsf@HIDDEN> (message from Glenn Morris on
 Fri, 13 Nov 2020 01:16:35 -0500)
Subject: Re: bug#43050: 28.0.50;
 portable dump file name should respect program-prefix config option
References: <20200825202440.195C2C2111C@HIDDEN>
 <83ft8a3ra8.fsf@HIDDEN> <im8sb5olju.fsf@HIDDEN>
 <2olff53hoc.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43050
Cc: 43050 <at> debbugs.gnu.org, raman@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: 43050 <at> debbugs.gnu.org,  "T.V Raman" <raman@HIDDEN>
> Date: Fri, 13 Nov 2020 01:16:35 -0500
> 
> Glenn Morris wrote:
> 
> >> The only thing that's missing, AFAICT, is that "make install" should
> >> apply the prefix to the dumper file name.
> >
> > There's a patch for that in https://debbugs.gnu.org/42790
> 
> However, that probably isn't enough since by experiment it seems as if
> Emacs prefers "emacs.pdmp" to more specific names.

Maybe we should change that preference?  AFAIR, the preference is
there only as the last resort, no?  Or when does that preference make
sense?

> I guess putting the fingerprint in the pdmp name is the only proper solution.

If changing the preference for emacs.pdmp isn't workable, you are
probably right.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43050; Package emacs. Full text available.

Message received at 43050 <at> debbugs.gnu.org:


Received: (at 43050) by debbugs.gnu.org; 13 Nov 2020 06:16:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 01:16:44 2020
Received: from localhost ([127.0.0.1]:46463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdSO4-0002Uc-33
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 01:16:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1kdSO2-0002UO-9K
 for 43050 <at> debbugs.gnu.org; Fri, 13 Nov 2020 01:16:43 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42042)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1kdSNw-0002UK-Tf; Fri, 13 Nov 2020 01:16:36 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1kdSNv-0004tZ-Nr; Fri, 13 Nov 2020 01:16:35 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43050: 28.0.50;
 portable dump file name should respect program-prefix config option
References: <20200825202440.195C2C2111C@HIDDEN>
 <83ft8a3ra8.fsf@HIDDEN> <im8sb5olju.fsf@HIDDEN>
X-Spook: ASDIC SAPO Perl-RSA Resistant Bellcore munitions Vickie
X-Ran: y(ydk66L7\<8lwC9N;9-\;mSE(S+3PgMxc/|Ct72,L5qVjQr>FSR<(Z+i2sWq\_@]z-kQo
X-Hue: red
X-Attribution: GM
Date: Fri, 13 Nov 2020 01:16:35 -0500
In-Reply-To: <im8sb5olju.fsf@HIDDEN> (Glenn Morris's message of
 "Fri, 13 Nov 2020 00:47:17 -0500")
Message-ID: <2olff53hoc.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43050
Cc: 43050 <at> debbugs.gnu.org, "T.V Raman" <raman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Glenn Morris wrote:

>> The only thing that's missing, AFAICT, is that "make install" should
>> apply the prefix to the dumper file name.
>
> There's a patch for that in https://debbugs.gnu.org/42790

However, that probably isn't enough since by experiment it seems as if
Emacs prefers "emacs.pdmp" to more specific names. So if you have an
Emacs configured without a name transformation and one configured with a
name transformation (and some different options) installed in the same
place, trying to start the second one fails with:

  emacs: could not load dump file "/path/to/emacs.pdmp": not built for
  this Emacs executable

So you can't have two different Emacs installed in the same place,
which defeats the purpose of configure's name transformation options.

Ie this kind of thing fails:

configure --prefix=/tmp/EMACS --without-x --program-suffix=-nox
...
make install
rename installed "emacs.pdmp" to "emacs-nox.pdmp" [1]


configure --prefix=/tmp/EMACS
...
make install


[1] You also have to make a symlink "emacs-28.0.50-nox.pdmp" if you
want to be able to use the binary under the name "emacs-28.0.50-nox"
as well as "emacs-nox".

This whole business seems rather fragile.

I guess putting the fingerprint in the pdmp name is the only proper solution.
Hope someone knows how to do that...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43050; Package emacs. Full text available.
Merged 35503 42790 43050. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 42790 43050. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43050 <at> debbugs.gnu.org:


Received: (at 43050) by debbugs.gnu.org; 13 Nov 2020 05:47:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 00:47:28 2020
Received: from localhost ([127.0.0.1]:46444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdRvj-0007xp-QB
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 00:47:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1kdRvi-0007xc-2a
 for 43050 <at> debbugs.gnu.org; Fri, 13 Nov 2020 00:47:26 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41545)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1kdRvc-0000Wn-Jz; Fri, 13 Nov 2020 00:47:20 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1kdRvZ-00072j-Vm; Fri, 13 Nov 2020 00:47:18 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43050: 28.0.50;
 portable dump file name should respect program-prefix config option
References: <20200825202440.195C2C2111C@HIDDEN>
 <83ft8a3ra8.fsf@HIDDEN>
X-Spook: Yukon Power lines U.S. Citizenship and Immigration
X-Ran: k1C/tA%Z4Q6Jaxdo;n#zL1#U*q<D?!6;TZsq|CG$H.w0,o{[4kY)muo%;Ylow.P$\$G7&G
X-Hue: brightmagenta
X-Attribution: GM
Date: Fri, 13 Nov 2020 00:47:17 -0500
In-Reply-To: <83ft8a3ra8.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 26 Aug
 2020 08:33:19 +0300")
Message-ID: <im8sb5olju.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43050
Cc: 43050 <at> debbugs.gnu.org, "T.V Raman" <raman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii wrote:

> The only thing that's missing, AFAICT, is that "make install" should
> apply the prefix to the dumper file name.

There's a patch for that in https://debbugs.gnu.org/42790

People say that using the fingerprint would be better, and it would, but
there isn't a patch for that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43050; Package emacs. Full text available.

Message received at 43050 <at> debbugs.gnu.org:


Received: (at 43050) by debbugs.gnu.org; 26 Aug 2020 05:33:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 26 01:33:42 2020
Received: from localhost ([127.0.0.1]:37112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAo45-0004zf-Vu
	for submit <at> debbugs.gnu.org; Wed, 26 Aug 2020 01:33:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kAo43-0004zR-Kj
 for 43050 <at> debbugs.gnu.org; Wed, 26 Aug 2020 01:33:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54460)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kAo3y-00031j-B7; Wed, 26 Aug 2020 01:33:34 -0400
Received: from [176.228.60.248] (port=1733 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kAo3x-0006YM-Bn; Wed, 26 Aug 2020 01:33:34 -0400
Date: Wed, 26 Aug 2020 08:33:19 +0300
Message-Id: <83ft8a3ra8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "T.V Raman" <raman@HIDDEN>
In-Reply-To: <20200825202440.195C2C2111C@HIDDEN>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#43050: 28.0.50;
 portable dump file name should respect program-prefix config option
References: <20200825202440.195C2C2111C@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43050
Cc: 43050 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 25 Aug 2020 13:24:40 -0700 (PDT)
> From: "T.V Raman" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> If you configure emacs with the --program-prefix option,
> e.g. --program-prefix=native- when building emacs with gccjit support,
> the portable dumper file   continues to be named emacs.pdmp, thus
> making it impossible to install  both a regular emacs build  and one
> with native-comp support.
> 
> An easy fix would be for the portable dumper file name to respect
> program-prefix 

This is already supported.  The only thing that's missing, AFAICT, is
that "make install" should apply the prefix to the dumper file name.
But if you rename the dumper file manually in the same directory where
it is installed, it should work.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43050; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Aug 2020 20:24:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 16:24:50 2020
Received: from localhost ([127.0.0.1]:36221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAfUv-0002qm-Bq
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 16:24:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:58138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raman@HIDDEN>) id 1kAfUt-0002qe-6y
 for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 16:24:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55052)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raman@HIDDEN>) id 1kAfUt-0004v6-1B
 for bug-gnu-emacs@HIDDEN; Tue, 25 Aug 2020 16:24:47 -0400
Received: from mail-pg1-x534.google.com ([2607:f8b0:4864:20::534]:35515)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <raman@HIDDEN>) id 1kAfUq-0005vT-Eq
 for bug-gnu-emacs@HIDDEN; Tue, 25 Aug 2020 16:24:46 -0400
Received: by mail-pg1-x534.google.com with SMTP id o5so7618412pgb.2
 for <bug-gnu-emacs@HIDDEN>; Tue, 25 Aug 2020 13:24:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20161025;
 h=from:to:subject:mime-version:content-transfer-encoding:message-id
 :date; bh=td923wAJeyL1ckAIcwSkQ5fZMUz78kIH0Yx41VzbZ7E=;
 b=UeR990c0bGqAusI2UB2KVcV256zfjbrMdhoTCART1CyQ5KCjSH8L6QitqDF4vNWk1K
 2VjKkpWVLCWL9PZbRwbZdMUNLYnFdx4Xw3rLeAWiiFIACW/EUN3yG5Hx+WU8aP/PtPPk
 bphDtVHwUz0Fbqjn7oxVeHYAvDg0eecE8gqPXXxThd6L0yGFbFQNwwGK7XsoBgW5Tk50
 YAUcO6BIQVS9Lh8O/HnA11kGyUtYDXBjS6ivELeHvDaOEf2YWohlNLC8sIoibvKWKVOa
 Hll/G5y3LCk5tySTKqbbKy3xbOc/V9jhsBXsOJJuf8DOg6vGH7GrRi9srnvuJTmJfdJh
 d9PQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:mime-version
 :content-transfer-encoding:message-id:date;
 bh=td923wAJeyL1ckAIcwSkQ5fZMUz78kIH0Yx41VzbZ7E=;
 b=MAbjiVw6QQXXXTovvUJi2pDfV+lr51/jIhI+gZxLQRXWqpfc7xJrqzCLq9eY5KvLCr
 KYi69MuywgSSQ8+JsVIRWj1pVEN5hg6N4+9wac2QfuHLT34M8O9KdfKYVY6D5Lwu6GKs
 Ab7IbZslWIaWJZJetynsCiXwhJb3LSEckwjlILnnzWh1VTV0+tUYSdnWoiNFxp2NsWvL
 60gLTCjPeaYyV+ecNB75v/Jn3fDjez+c+dFsI3GR2CT1E28s5EUN1dGBIWKX+Em7IZoZ
 Cprg1Eq/9UVAfP3Z5X3epAIOiUfyOR6ksogl9xR6RIA0t16495M3Yw+EBO16yhkvCXZn
 DIag==
X-Gm-Message-State: AOAM533FDrzL7gp4pJWekHv1Iz0gNA2KrFp/kJoFDKzO0pcUlrubbuJU
 uGArVXQ7Oi2kxLzsuejkHlW5pDQrbtZZqOhW
X-Google-Smtp-Source: ABdhPJwnH2Zprxg7gzRWj/WioCCTauNQHFLOQTgjtfpGjZzsX3YvhLAuSrdmLlwydeNubdU3+UWmTA==
X-Received: by 2002:a63:4713:: with SMTP id u19mr7650330pga.278.1598387082017; 
 Tue, 25 Aug 2020 13:24:42 -0700 (PDT)
Received: from raman-glaptop.localdomain (c-24-4-174-65.hsd1.ca.comcast.net.
 [24.4.174.65])
 by smtp.gmail.com with ESMTPSA id d15sm86318pfr.143.2020.08.25.13.24.40
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 25 Aug 2020 13:24:41 -0700 (PDT)
Received: by raman-glaptop.localdomain (Postfix, from userid 13930)
 id 195C2C2111C; Tue, 25 Aug 2020 13:24:40 -0700 (PDT)
From: "T.V Raman" <raman@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50;
 portable dump file name should respect program-prefix config option 
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Message-Id: <20200825202440.195C2C2111C@HIDDEN>
Date: Tue, 25 Aug 2020 13:24:40 -0700 (PDT)
Received-SPF: pass client-ip=2607:f8b0:4864:20::534;
 envelope-from=raman@HIDDEN; helo=mail-pg1-x534.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -175
X-Spam_score: -17.6
X-Spam_bar: -----------------
X-Spam_report: (-17.6 / 5.0 requ) BAYES_00=-1.9, DKIMWL_WL_MED=-0.001,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 ENV_AND_HDR_SPF_MATCH=-0.5, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, USER_IN_DEF_DKIM_WL=-7.5,
 USER_IN_DEF_SPF_WL=-7.5 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


If you configure emacs with the --program-prefix option,
e.g. --program-prefix=native- when building emacs with gccjit support,
the portable dumper file   continues to be named emacs.pdmp, thus
making it impossible to install  both a regular emacs build  and one
with native-comp support.

An easy fix would be for the portable dumper file name to respect
program-prefix 


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.16.0)
 of 2020-08-24 built on raman-glaptop
Repository revision: 35418be39cd977e9de4822aa8b6a49a45fd66b67
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux rodete

Configured using:
 'configure --enable-silent-rules --without-xwidgets --with-mailutils
 --with-modules --without-compress-install LDFLAGS=-O3 CPPFLAGS=-O3'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT
LIBOTF ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON
PDUMPER LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Shell

Minor modes in effect:
  override-global-mode: t
  magit-wip-initial-backup-mode: t
  magit-wip-before-change-mode: t
  magit-wip-after-apply-mode: t
  magit-wip-after-save-mode: t
  magit-wip-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  async-bytecomp-package-mode: t
  auto-correct-mode: t
  dired-omit-mode: t
  savehist-mode: t
  save-place-mode: t
  psession-mode: t
  psession-autosave-mode: t
  midnight-mode: t
  flx-ido-mode: t
  display-time-mode: t
  company-statistics-mode: t
  company-prescient-mode: t
  prescient-persist-mode: t
  dynamic-completion-mode: t
  disable-mouse-global-mode: t
  desktop-save-mode: t
  dirtrack-procfs-mode: t
  global-voice-lock-mode: t
  voice-lock-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tab-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/raman/emacs/lisp/site-lisp/vm/lisp/tapestry hides /home/raman/emacs/lisp/emacspeak/lisp/tapestry
/home/raman/.emacs.d/elpa/lispy-20200818.1151/elpa hides /home/raman/.emacs.d/elpa/ivy-20200824.1246/elpa
/home/raman/.emacs.d/elpa/auth-source-pass-20191126.1242/auth-source-pass hides /usr/local/share/emacs/28.0.50/lisp/auth-source-pass
/home/raman/emacs/lisp/emacspeak/lisp/tetris hides /usr/local/share/emacs/28.0.50/lisp/play/tetris

Features:
(shadow emacsbug ucs-normalize jka-compr emacspeak-twittering
twittering-mode mule-util hl-line finder-inf emacspeak-paradox paradox
paradox-menu paradox-commit-list paradox-execute paradox-github
paradox-core spinner url-file url-dired emacspeak-flyspell
flyspell-correct-ido flyspell-correct flyspell emacspeak-ispell ispell
mailalias vm-reply rng-xsd xsd-regexp rng-cmpct emacspeak-nxml
rng-nxml rng-valid nxml-mode nxml-outln nxml-rap orgalist mhtml-mode
css-mode smartparens-html emacspeak-sgml-mode sgml-mode ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse
nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html
emacspeak-etable table ox-ascii ox-publish ox vm-delete vm-save
tapestry vm-sort vm-rfaddons vm-undo vm-page vm-minibuf vm-message
vm-macro emacspeak-mspools mspools bbdb-vm vm-virtual vm-summary-faces
vm-pop vm-imap vm-thread vm-mime vm-motion vm-mouse vm-toolbar vm-menu
vm-window vm-folder vm-crypto vm-misc vm-summary bbdb-mua bbdb-com
emacspeak-bbdb bbdb bbdb-site timezone emacspeak-vm u-vm-color vm
org-element avl-tree shr-color mm-archive qp sort smiley gnus-cite
mail-extr gnus-async gnus-bcklg gnus-dup gnus-ml utf-7 nndraft nnmh
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg nntp
gnus-cache misearch multi-isearch emacspeak-prompts face-remap
epa-file gnutls network-stream url-cache emacspeak-url-template
bash-completion emacspeak-muggles hydra-ox emacspeak-view view hydra
lv emacspeak-browse-kill-ring browse-kill-ring emacspeak-vuiet vuiet
mpv tq org-timer org-clock bind-key versuri emacspeak-ivy ivy delsel
ivy-faces ivy-overlay colir esqlite pcsv esxml-query lastfm elquery
anaphora request emacspeak-origami origami origami-parsers cl
smartparens-org emacspeak-muggles-autoloads emacspeak-org warnings
emacspeak-feeds emacspeak-eww emacspeak-google gmaps gweb dom-addons
pp eww xdg url-queue mm-url smtpmail sendmail auth-source-xoauth2
auth-source-pass emacspeak-gnus gm-nnir nnir gnus-art mm-uu mml2015
mm-view mml-smime smime dig gnus-sum gnus-group gnus-undo gnus-start
gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo parse-time
iso8601 gnus-spec gnus-int gnus-range gnus-win emacspeak-hide gnus
nnheader org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete org-list org-faces
org-entities emacspeak-outline foldout noutline outline org-version
ob-emacs-lisp ob-core ob-eval org-table ol org-keys org-compat
org-macs org-loaddefs emacspeak-find-func find-func emacspeak-maths
nvm dash-functional f s emacspeak-hydra dired-aux emacspeak-sh-script
sh-script smie executable magit-wip magit-log magit-diff smerge-mode
diff git-commit log-edit emacspeak-message message rfc822 mml mml-sec
emacspeak-epa epa epg epg-config gnus-util emacspeak-rmail rmailsort
rmail rmail-loaddefs mm-decode mm-bodies mm-encode mailabbrev
mail-utils gmm-utils mailheader pcvs-util emacspeak-add-log add-log
magit-core magit-autorevert autorevert filenotify magit-margin
magit-transient magit-process with-editor magit-mode
emacspeak-transient transient async-bytecomp format-spec magit-git
magit-section magit-utils crm auto-correct emacspeak-wizards
clojure-snippets common-lisp-snippets yasnippet-snippets
emacspeak-yasnippet yasnippet smartparens-config
smartparens-javascript smartparens-text smartparens-c
emacspeak-smartparens smartparens emacspeak-hideshow hideshow
company-files company-keywords company-etags etags fileloop generator
emacspeak-xref xref emacspeak-project project company-gtags
company-dabbrev-code company-dabbrev company-capf company-semantic
company-template company-css company-nxml company-bbdb js moz
emacspeak-c cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs name-this-color dash color
emacspeak-we emacspeak-xslt emacspeak-eterm vc-git emacspeak-diff-mode
diff-mode easy-mmode two-column term disp-table ehelp
emacspeak-texinfo texinfo emacspeak-table-ui emacspeak-table
emacspeak-find-dired find-dired lisp-mnt let-alist emacspeak-dbus nm
amixer soundscape dired-x savehist saveplace psession async midnight
flx-ido flx time company-statistics company-prescient prescient
emacspeak-company company pcase completion server file-xoauth2
vm-autoloads vm-version vm-vars laptop-local xbacklight disable-mouse
emacs-startup emacspeak-setup emacspeak-m-player emacspeak-dired
locate emacspeak-desktop desktop frameset dired dired-loaddefs
emacspeak-amark emacspeak-advice shell pcomplete hippie-exp comint
ring vc vc-dispatcher which-func emacspeak-imenu imenu
emacspeak-ansi-color ansi-color emacspeak-redefine
emacspeak-personality emacspeak emacspeak-widget emacspeak-webutils
shr kinsoku text-property-search svg dom url-http url url-proxy
url-privacy url-expand url-methods url-history mailcap url-auth
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
url-cookie url-domsuf url-util url-gw nsm rmc puny emacspeak-auctex
emacspeak-tab-bar emacspeak-package emacspeak-calendar appt diary-lib
diary-loaddefs g-utils solar cal-dst cal-menu calendar cal-loaddefs
emacspeak-kmacro emacspeak-info emacspeak-ido emacspeak-facemenu
emacspeak-custom emacspeak-buff-menu g-cus-load
emacspeak-fix-interactive emacspeak-sox emacspeak-preamble
emacspeak-keymap emacspeak-speak sox-gen sox ladspa edmacro kmacro
derived rect time-date emacspeak-pronounce thingatpt dtk-speak
dtk-interp voice-setup cl-extra emacspeak-sounds dectalk-voices
espeak-voices mac-voices outloud-voices dtk-unicode descr-text
help-mode acss-structure tts emacspeak-load-path advice dbus
ido-completing-read+ memoize cus-edit cus-start cus-load wid-edit
minibuf-eldef ido xml info tex-site gh-common marshal eieio-compat rx
slime-autoloads package easymenu browse-url url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese
eucjp-ms cp51932 hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese composite charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 2488132 1337842)
 (symbols 48 77523 44)
 (strings 32 374174 175797)
 (string-bytes 1 12702999)
 (vectors 16 142217)
 (vector-slots 8 2039034 326970)
 (floats 8 2082 1360)
 (intervals 56 231881 90190)
 (buffers 992 67))


-- 
♉Id: kg:/m/0285kf1  🦮♉

-- 
♉Id: kg:/m/0285kf1  🦮♉




Acknowledgement sent to "T.V Raman" <raman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43050; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 11 Oct 2021 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.